File: changelog

package info (click to toggle)
libapache2-mod-fcgid 1:2.3.9-4
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 1,456 kB
  • sloc: ansic: 5,912; xml: 1,052; sh: 118; sed: 64; awk: 37; makefile: 21
file content (282 lines) | stat: -rw-r--r-- 9,078 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
libapache2-mod-fcgid (1:2.3.9-4) unstable; urgency=medium

  * Fix autopkgtest+lxc failure (Closes: #907653)
  * Add patch to display an error when ExecCGI is not enabled.
    Thanks to Chris Butler (Closes: #606326)

 -- Xavier Guimard <yadd@debian.org>  Tue, 04 Sep 2018 22:18:10 +0200

libapache2-mod-fcgid (1:2.3.9-3) unstable; urgency=medium

  * Set myself as maintainer (Closes: #903261)
  * debian/copyright:
    - update format using packaging-manuals/copyright-format/1.0/
    - add Debian files copyright
  * Bump debhelper compatibility to 10
  * Remove --parallel option for dh
  * Add upstream/metadata file
  * Add doc-base entry
  * debian/rules: remove useless options
  * Declare compliance with policy 4.2.1
  * Add NOTICE-FCGID (required by Apache2 license) and STATUS-FCGID in docs
  * autopkgtest:
    - don't use systemd to start apache2
    - add "allow-stderr" to ignore apache2 warnings

 -- Xavier Guimard <yadd@debian.org>  Tue, 28 Aug 2018 15:31:19 +0200

libapache2-mod-fcgid (1:2.3.9-2) unstable; urgency=low

  * Orphan package.
  * Import upstream gpg keys for uscan to verify the orig tarball.
  * Fix: Always loads whole request into memory. (Closes: #888824)
    - Add 40_fix_loading_large_requests.patch
  * Migrate to dbgsym package.
  * Set Rules-Requires-Root: binary-targets
  * Add an autopkgtest.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 08 Jul 2018 12:08:17 +0200

libapache2-mod-fcgid (1:2.3.9-1) unstable; urgency=high

  * New upstream release.
    - Fixes CVE-2013-4365: heap buffer overwrite. (Closes: #725942)
  * Further improve the long description. (Closes: #719534)

 -- Felix Geyer <fgeyer@debian.org>  Thu, 10 Oct 2013 19:49:42 +0200

libapache2-mod-fcgid (1:2.3.7-1) unstable; urgency=low

  * Adopt the package. (Closes: #713917)
  * Switch from cdbs to dh-style rules file.
  * Switch to debhelper compat level 9.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Improve the short description. (Closes: #664202)
  * Guard AddHandler option in fgcid.conf so it's only used when
    the mime module is laoded. (Closes: #711542)
  * Add Vcs-* headers.

 -- Felix Geyer <fgeyer@debian.org>  Sat, 10 Aug 2013 11:15:31 +0200

libapache2-mod-fcgid (1:2.3.7-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release. (Closes: #689149)
    - Drop 20_honor_FcgidMaxProcessesPerClass_setting.dpatch, applied upstream.
  * Switch from dpatch to source format 3.0 (quilt). (Closes: #664353)
  * Fix the watch file, thanks to Bart Martens.
  * Fix building twice in a row. (Closes: #693625)
    - Call make distclean.

 -- Felix Geyer <fgeyer@debian.org>  Wed, 05 Jun 2013 22:14:50 +0200

libapache2-mod-fcgid (1:2.3.6-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Transition towards Apache 2.4. (Closes: #666863)
    - Use dh_apache2 instead of calling a2{en,dis}mod manually in the
      maintainer scripts.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 20 May 2013 10:50:54 +0200

libapache2-mod-fcgid (1:2.3.6-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "mod_fcgid: requests with chunked encoding have no body
    available to FCGI backend": Applied upstream patch
    (Closes: #691929)

 -- Tobias Frost <tobi@coldtobi.de>  Sun, 18 Nov 2012 18:33:32 +0100

libapache2-mod-fcgid (1:2.3.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * import r1037727 from upstream to fix vhost-specific process controls
     (Closes: #615814)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 07 Mar 2012 17:00:08 -0500

libapache2-mod-fcgid (1:2.3.6-1) unstable; urgency=low

  * New upstream release (Closes: #595276)

 -- Tatsuki Sugiura <sugi@nemui.org>  Thu, 11 Nov 2010 02:48:54 +0900

libapache2-mod-fcgid (1:2.3.5-2) unstable; urgency=low

  * Fix build problem with new ash (Closes: #583025)
    Thanks Hideki Yamane and Igor Galić.

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon, 08 Feb 2010 09:58:38 +0900

libapache2-mod-fcgid (1:2.3.5-1) unstable; urgency=medium

  * New upstream release
  * Change default shared memory path to /var/lib/apache2/fcgid/shm.
  * Update watch file.

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon, 01 Feb 2010 05:29:36 +0900

libapache2-mod-fcgid (1:2.3.4-2) unstable; urgency=medium

  * Fix segfault with empty outout from fcgi process (Closes: #468559)
  * Add -dbg package
  * Update package description from official site.

 -- Tatsuki Sugiura <sugi@nemui.org>  Thu, 28 Jan 2010 04:59:12 +0900

libapache2-mod-fcgid (1:2.3.4-1) unstable; urgency=low

  * New upstream release (Closes: #561913, #531851)

 -- Tatsuki Sugiura <sugi@nemui.org>  Sat, 23 Jan 2010 12:20:20 +0900

libapache2-mod-fcgid (1:2.2-1) unstable; urgency=medium

  * New upstream release (Closes: #446585)
  * fixed debian/watch to new version (Closes: #446586)

 -- Tatsuki Sugiura <sugi@nemui.org>  Sun, 14 Oct 2007 17:37:02 +0900

libapache2-mod-fcgid (1:2.1-3) unstable; urgency=low

  * Built-in default settings was changed to compat with Debian policy.
    Now, you don't need to specify SocketPath and SharememPath in config.
    (Closes: #431215)

 -- Tatsuki Sugiura <sugi@nemui.org>  Sun, 01 Jul 2007 05:00:25 +0900

libapache2-mod-fcgid (1:2.1-2) unstable; urgency=medium

  * Add proper dependency by shlibs:Depends (Closes: #427046, #427120)

 -- Tatsuki Sugiura <sugi@nemui.org>  Sat, 02 Jun 2007 18:01:15 +0900

libapache2-mod-fcgid (1:2.1-1) unstable; urgency=low

  * New upstream release (Closes: #420910)
  * Add SharememPath to default config. Thanks to Philipp Wollermann.

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon, 14 May 2007 02:53:56 +0900

libapache2-mod-fcgid (1:1.10-2) unstable; urgency=high

  * rewind upstream version temporary for etch release. (Related: #401938)

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed, 31 Jan 2007 18:25:18 +0900

libapache2-mod-fcgid (2.0-1) unstable; urgency=high

  * New upstream release
  * Apply NMU Update (Closes: #394473)

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed,  1 Nov 2006 13:28:02 +0900

libapache2-mod-fcgid (1.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update for apache 2.2 (Closes: #391757).
  * Stop overriding what libtool to use (Closes: #393020).

 -- Luk Claes <luk@debian.org>  Sat, 21 Oct 2006 15:36:56 +0200

libapache2-mod-fcgid (1.10-1.1~smcv0) unstable; urgency=low

  * Non-maintainer upload.
  * Compile against Apache 2.2 and APR 1.0 (Closes: #391757, #393020).

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Sun, 15 Oct 2006 15:17:28 +0100

libapache2-mod-fcgid (1.10-1) unstable; urgency=low

  * New upstream release
  * Update app kill patch: Rename Directive ErrorTimeout -> ShutdownTimeout

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed,  5 Jul 2006 13:24:02 +0900

libapache2-mod-fcgid (1.09-2) UNRELEASED; urgency=low

  * NOT RELEASED YET

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon, 15 May 2006 07:06:17 +0900

libapache2-mod-fcgid (1.09-1) unstable; urgency=low

  * New upstream release (Closes: #361975, #361579, #345752)
  * Set "IPCConnectTimeout 20" in default config file (Closes: #352498)

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon, 15 May 2006 06:06:03 +0900

libapache2-mod-fcgid (1.07-1) unstable; urgency=low

  * New upstream release (Closes: #339604)
  * Unnecessary dependency has been removed. Those provied from
    apache2-common. (Closes: #334011)

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon, 21 Nov 2005 05:55:39 +0900

libapache2-mod-fcgid (1.06-2) UNRELEASED; urgency=low

  * add ErrorTimeout directive for timeout of force kill

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed, 16 Nov 2005 05:47:41 +0900

libapache2-mod-fcgid (1.06-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Tue, 16 Aug 2005 07:33:24 +0900

libapache2-mod-fcgid (1.05-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Thu,  7 Apr 2005 16:31:07 +0900

libapache2-mod-fcgid (1.04-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Sun, 19 Dec 2004 01:43:57 +0900

libapache2-mod-fcgid (1.03-2) unstable; urgency=low

  * supports non HTTP_OK status code

 -- Tatsuki Sugiura <sugi@nemui.org>  Thu, 11 Nov 2004 09:37:41 +0900

libapache2-mod-fcgid (1.03-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed, 10 Nov 2004 17:24:08 +0900

libapache2-mod-fcgid (1.02-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed, 13 Oct 2004 15:53:34 +0900

libapache2-mod-fcgid (1.01-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Sat, 25 Sep 2004 02:20:16 +0900

libapache2-mod-fcgid (0.86-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed, 25 Aug 2004 15:01:09 +0900

libapache2-mod-fcgid (0.80-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Thu, 12 Aug 2004 09:59:01 +0900

libapache2-mod-fcgid (0.77-1) unstable; urgency=low

  * Initial Release.

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed, 21 Jul 2004 06:38:33 +0900